### File

`packages/ecl/components/ecl-page-header/ecl-page-header-expandable/ecl-page-header-expandable.component.ts`

### Description

ECL Page Header expandable component. As a part of the PageHeader, it represents expandable content, placed at the top of the parent component.

### Extends

`ECLBaseDirective`

### Implements

`OnDestroy`

### Metadata

selector | `div[eclPageHeaderExpandable]`
imports | `EUI_ECL_BUTTON` `EUI_ECL_ICON`
templateUrl | `./ecl-page-header-expandable.component.html`

### Index

###### Properties
Readonly hasProjectedContent isExpanded panelId
###### Methods
onExpandButtonClick getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
CSS classes applied to the host.

### Methods

onExpandButtonClick
`onExpandButtonClick()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Readonly hasProjectedContent
Type : `unknown`
Default value : `computed(() => this._hasProjectedContent())`

isExpanded
Type : `unknown`
Default value : `signal(false)`

panelId
Type : `unknown`
Default value : `crypto.randomUUID()`

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host. Returns : `string`

# results matching ""

# No results matching ""